KD SOAP API Documentation: KDSoapValue.h File Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs | Enumerations | Functions
KDSoapValue.h File Reference
`#include "KDSoapGlobal.h"`
`#include <QtCore/QList>`
`#include <QtCore/QPair>`
`#include <QtCore/QSet>`
`#include <QtCore/QSharedDataPointer>`
`#include <QtCore/QString>`
`#include <QtCore/QVariant>`
`#include <QtCore/QVector>`
`#include <QtCore/QXmlStreamNamespaceDeclarations>`
`#include <algorithm>`
Include dependency graph for KDSoapValue.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | KDSoapValue
class | KDSoapValueList

## Namespaces
namespace | KDSoap
namespace | std

## Typedefs
typedef QListIterator< KDSoapValue > | KDSoapValueListIterator

## Enumerations
enum | KDSoap::SoapVersion { KDSoap::SOAP1_1 = 1 , KDSoap::SOAP1_2 = 2 }

## Functions
QT_END_NAMESPACE KDSOAP_EXPORT QDebug | operator<< (QDebug dbg, const KDSoapValue &value)
QT_BEGIN_NAMESPACE | Q_DECLARE_TYPEINFO (KDSoapValue, Q_MOVABLE_TYPE)
KDSOAP_EXPORT uint | qHash (const KDSoapValue &value)
void | qSwap (KDSoapValue &lhs, KDSoapValue &rhs)
template<>
void | std::swap< KDSoapValue > (KDSoapValue &lhs, KDSoapValue &rhs)

## Typedef Documentation

## ◆ KDSoapValueListIterator

typedef QListIterator<KDSoapValue> KDSoapValueListIterator

Definition at line 394 of file KDSoapValue.h.

## Function Documentation

## ◆ operator<<()

QT_END_NAMESPACE KDSOAP_EXPORT QDebug operator<< | ( | QDebug | dbg,
|  | const KDSoapValue & | value
| ) |  |

Definition at line 370 of file KDSoapValue.cpp.

References KDSoapValueList::attributes(), KDSoapValue::childValues(), QListIterator::hasNext(), QList::isEmpty(), KDSoapValue::name(), QListIterator::next(), QDebug::space(), and KDSoapValue::value().

## ◆ Q_DECLARE_TYPEINFO()

QT_BEGIN_NAMESPACE Q_DECLARE_TYPEINFO | ( | KDSoapValue | ,
|  | Q_MOVABLE_TYPE |
| ) |  |

## ◆ qHash()

KDSOAP_EXPORT uint qHash | ( | const KDSoapValue & | value | ) |

Definition at line 49 of file KDSoapValue.cpp.

References KDSoapValue::name(), and qHash().

Referenced by qHash().

## ◆ qSwap()

void qSwap | ( | KDSoapValue & | lhs,
|  | KDSoapValue & | rhs
| ) |  |
| inline

Definition at line 299 of file KDSoapValue.h.

References KDSoapValue::swap().

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8